myDC.ru

Здравствуйте, гость ( Вход | Регистрация )

 
 
Ответить в данную темуНачать новую тему

> Проблема со скриптами на версии 0.4.2.0

Теги
Нет тегов для показа
Fe(one)X
сообщение 10.2.2012, 17:01
Сообщение #1


Активный участник
***

Группа: Пользователи
Сообщений: 58
Регистрация: 6.2.2010
Из: Россия, г. Волжский
Пользователь №: 5 963
Спасибо сказали: 0 раз




Всем привет. Не так давно решил всё-таки перевести свой хаб на новую версию 0.4.2.0, но как всегда без проблем не обошлось.
В общем скачал версию хаба 0.4.2.0 build 314 с поддержкой Lua 5.1.4, в результате скрипты не использующие библиотеку socket работают без проблем, а вот скрипты использующие данную библиотеку работать перестали. Саму библиотеку, как и требовалось, обновил.
Проблема проявляется следующим образом: опишу на примере курса валют;
Вызываю из меню хаба команду !курс и в чате сообщается следующее:
Код
[17:50:28] <Курс_валют> Данные устарели, запрашиваю сервер...
[17:50:28] <Fe[one]X™> !курс

А в окне сообщения скриптов сообщается следующее:
Код
[17:50:28] Синтаксис ...аботку\Volzhsky-Hub (0.4.2.0)\scripts\Курс_валют.lua:64: module 'socket' not found:
    no field package.preload['socket']
    no file 'D:\На обработку\Volzhsky-Hub (0.4.2.0)\socket.lua'
    no file 'D:\На обработку\Volzhsky-Hub (0.4.2.0)\libs\socket.lua'
    no file 'D:\На обработку\Volzhsky-Hub (0.4.2.0)\scripts\libs\socket.lua'
    no file 'D:\На обработку\Volzhsky-Hub (0.4.2.0)\socket.dll'
    no file 'D:\На обработку\Volzhsky-Hub (0.4.2.0)\libs\socket.dll'
    no file 'D:\На обработку\Volzhsky-Hub (0.4.2.0)\scripts\libs\socket.dll'

Я так понимаю скрипт не видит файлы, поэтому и не работает, также и с другими скриптами использующие socket
Библиотеку качал с этого поста. В чём может быть проблема?
Go to the top of the page
+Quote Post
Артём
сообщение 10.2.2012, 17:11
Сообщение #2


Наруто на аваторке
***********

Группа: Пользователи
Сообщений: 2 606
Регистрация: 11.10.2008
Из: Харькова
Пользователь №: 771
Спасибо сказали: 770 раз




Fe(one)X, проблема в вас, торопыгах, куда вы торопитесь-то, что на стабильной птоке 0.4.1.1/2 не сидится ?
Go to the top of the page
+Quote Post
Tsd
сообщение 10.2.2012, 17:59
Сообщение #3


Продвинутый участник
****

Группа: Пользователи
Сообщений: 176
Регистрация: 11.7.2008
Пользователь №: 171
Спасибо сказали: 182 раза




Почитай тут
Go to the top of the page
+Quote Post
Fe(one)X
сообщение 10.2.2012, 20:20
Сообщение #4


Активный участник
***

Группа: Пользователи
Сообщений: 58
Регистрация: 6.2.2010
Из: Россия, г. Волжский
Пользователь №: 5 963
Спасибо сказали: 0 раз




Цитата(Артём @ 10.2.2012, 18:11) *
Fe(one)X, проблема в вас, торопыгах, куда вы торопитесь-то, что на стабильной птоке 0.4.1.1/2 не сидится ?

Я и не переходил бы на новую версию, но у меня на старой версии 0.4.1.2 хаб начал виснуть, поэтому и пришлось переходить на новую версию, но как всегда без проблем не обошлось...
Go to the top of the page
+Quote Post
Ksan
сообщение 11.2.2012, 10:36
Сообщение #5


Белый Волк
*********

Группа: Пользователи
Сообщений: 1 719
Регистрация: 11.9.2008
Из: г.Томск
Пользователь №: 516
Спасибо сказали: 656 раз




Fe(one)X, ну так разобрался бы, почему хаб стал виснуть!
Если у тебя не сидит 100 тысяч народу, причину можно найти и устранить.
А ещё есть стабильная версия 0.4.1.1
Go to the top of the page
+Quote Post
Fe(one)X
сообщение 16.2.2012, 21:28
Сообщение #6


Активный участник
***

Группа: Пользователи
Сообщений: 58
Регистрация: 6.2.2010
Из: Россия, г. Волжский
Пользователь №: 5 963
Спасибо сказали: 0 раз




Цитата(Ksan @ 11.2.2012, 11:36) *
Fe(one)X, ну так разобрался бы, почему хаб стал виснуть!

Увы, но сам не смог. Такая проблема обсуждалась здесь http://mydc.ru/topic946.html но там толком никто ничего не посоветовал.
Go to the top of the page
+Quote Post

Ответить в данную темуНачать новую тему
1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0

Collapse

> Похожие темы

  Тема Ответов Автор Просмотров Последнее сообщение
No new Topic has attachmentsОшибки текущей версии хаба
Обнаруженные ошибки публикуются в этой теме
150 Otshelnik-Fm 105 143 30.7.2014, 20:58 Посл. сообщение: Alexey
No New Posts Topic has attachmentsПроблема со скриптом Истории чата
5 SonicX 6 278 27.6.2014, 19:04 Посл. сообщение: sergius_s
No new внезапная непонятная проблема с хабом
17 aleksei1122 13 085 3.3.2013, 16:41 Посл. сообщение: Delia
No New Posts От: Ошибки текущей версии хаба
От темы с ID: 2910
0 Saymon21 3 359 1.4.2012, 2:26 Посл. сообщение: Saymon21
No new Topic has attachmentsПроблема с хабом после установки роутера
22 Jet1k 24 794 3.1.2012, 11:05 Посл. сообщение: Strannik
No New Posts Topic has attachmentsПроблема при установке плагина lua для верлихаба
12 sabriel 11 121 21.9.2011, 10:17 Посл. сообщение: sabriel
No New Posts Здравствуйте всем . У меня проблема со скриптам StatPX
Здравствуйте всем . У меня проблема со скриптам StatPX
4 warhammer 7 472 14.4.2011, 14:48 Посл. сообщение: warhammer
No New Posts Проблема с Remote_Admin
Не работает:(
1 el_toro 4 624 13.3.2011, 3:26 Посл. сообщение: Alexey
No New Posts XML. Проблема с плеером
размер шрифта
1 Rannau 4 916 28.2.2011, 9:53 Посл. сообщение: Setuper
No new Topic has attachmentsПроблема на PtоkaX 0.4.1.2 в скрипте
Проблема на PtоkaX 0.4.1.2 в скрипте
23 sania 18 826 23.2.2011, 15:37 Посл. сообщение: Saymon21
Closed как удалить что хаб работает на версии
5 absent 7 632 12.2.2011, 14:49 Посл. сообщение: Saymon21
No New Posts Небольшая проблема Нужна ваша помощь !
Буду очень благодарен !!!
11 @_JuNiOr_@ 10 764 5.2.2011, 12:38 Посл. сообщение: Maximum
No New Posts От: Небольшая проблема Нужна ваша помощь !
От темы с ID: 4634
1 ScOol 4 052 3.2.2011, 17:48 Посл. сообщение: Maximum
No New Posts PtokaX 0.4.1.2 Win32 service/console Проблема с МОТД
Проблема с МОТД
3 @_JuNiOr_@ 7 408 13.12.2010, 23:42 Посл. сообщение: Ameet
No New Posts Проблема с подключением
на мой хаб не могут зайти
7 @denis@ 7 331 9.12.2010, 10:34 Посл. сообщение: Strannik

 



RSS Сейчас: 7.3.2021, 21:52